| Home | Libraries | People | FAQ | More

#### http::basic_file_body::value_type

The type of the `http::message::body` member.

##### Synopsis

Defined in header `<boost/beast/http/basic_file_body.hpp>`

    class value_type

##### Member Functions

Name | Description
--- | ---
close | Close the file if open.
is_open | Returns true if the file is open.
open | Open a file at the given path with the specified mode.
operator= | Move assignment.
reset | Set the open file.
size | Returns the size of the file if open.
value_type | Constructor.
~value_type | Destructor.

##### Friends

Name | Description
--- | ---
basic_file_body |

##### Description

Messages declared using `basic_file_body` will have this type for the body member. This rich class interface allow the file to be opened with the file handle maintained directly in the object, which is attached to the message.

Convenience header `<boost/beast/http.hpp>`